🚀 Version 2.0 is now live! See our changelog for details
curl --request POST \
--url https://api.tenbyte.io/v1/cdn/distributions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"name\": \"chaldal new\",\n \"type\":\"custom\",\n \"domain_type\": \"custom\",\n \"domain\": \"openresty.sohel.pro\",\n \"description\": \"test\",\n \"cache_strategy\": \"vod\",\n \"host_header\": \"cdn233.tenbyte.com.my\",\n \"origin\": {\n \"name\": \"chaldal\",\n \"type\": \"custom\",\n \"endpoint\": \"https://chaldal.com\" // Fully qualified domain\n // \"bucket\": \"tenbyte-vod-files\",\n // \"region\": \"tenbyte-origin-416-1\",\n // \"access_key\": \"tenbyte-origin-416-1\",\n // \"secret_key\": \"tenbyte-origin-416-1\",\n }\n}"
'{}Creates a new CDN distribution for a customer. This API allows configuration of caching behavior, domain mapping, and origin server settings.
curl --request POST \
--url https://api.tenbyte.io/v1/cdn/distributions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"name\": \"chaldal new\",\n \"type\":\"custom\",\n \"domain_type\": \"custom\",\n \"domain\": \"openresty.sohel.pro\",\n \"description\": \"test\",\n \"cache_strategy\": \"vod\",\n \"host_header\": \"cdn233.tenbyte.com.my\",\n \"origin\": {\n \"name\": \"chaldal\",\n \"type\": \"custom\",\n \"endpoint\": \"https://chaldal.com\" // Fully qualified domain\n // \"bucket\": \"tenbyte-vod-files\",\n // \"region\": \"tenbyte-origin-416-1\",\n // \"access_key\": \"tenbyte-origin-416-1\",\n // \"secret_key\": \"tenbyte-origin-416-1\",\n }\n}"
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A human-readable name for the CDN distribution.
The type of domain: custom (user-provided CNAME) or shared.
system, custom The custom domain that clients will use (e.g., cdn.example.com).
Strategy for caching: vod, live, or static.
Host header to send to the origin server.
Configuration for the origin server.
Show child attributes
The response is of type object.